### Virtual Method

# Gio ActionGroup change_action_state

since: 2.28

#### Declaration [src]

    void
    change_action_state (
      GActionGroup* action_group,
      const gchar* action_name,
      GVariant* value
    )

#### Description [src]

Request for the state of the named action within `action_group` to be changed to `value`.

The action must be stateful and `value` must be of the correct type. See `g_action_group_get_action_state_type()`.

This call merely requests a change. The action may refuse to change its state or may change its state to something other than `value`. See `g_action_group_get_action_state_hint()`.

If the `value` GVariant is floating, it is consumed.

Available since: 2.28

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action to request the change on.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The new state.

  The data is owned by the caller of the method.